Subject: Re: [PATCH v1 1/4] mdio-bitbang: add SMI0 mode support

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Nov 2019 16:42:01 +0100

On Thu, Nov 07, 2019 at 12:00:27PM +0100, Michael Grzeschik wrote:
> Some microchip phys support the Serial Management Interface Protocol
> (SMI) for the configuration of the extended register set. We add
> MII_ADDR_SMI0 as an available interface to the mdiobb write and read
> functions, as this interface can be easy realized using the bitbang mdio
> driver.
> 
> Signed-off-by: Sam Ravnborg <[email-masked]>
> Signed-off-by: Michael Grzeschik <[email-masked]>

Hi Michael

I don't like adding vendor proprietary stuff to generic code like
this. Please could you see if you can make use of mdiobb_ops in some
way? Move all this junk out into a mdio-kzs88x3.c?

Thanks
	Andrew